Delete Team Folder

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API deletes a team folder.

Endpoints

OAuth Scope

WorkDrive.teamfolders.DELETECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request DELETE \
  --url https://www.zohoapis.com/workdrive/api/v1/teamfolders/{teamfolder_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

teamfolder_idstring(Required)

The unique ID of a team folder.

Response Example

U001

R008

R008

U030

R004

R302

R302

F000

204
204
401
403
404
500
Copied!
204 No Content
  {
    "errors": [
      {
        "id": "U001",
        "title": "User not logged in. Please Log in"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U030",
        "title": "Invalid operation."
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId passed. Please use a valid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R302",
        "title": "Minimum one admin should be available"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
Show full